Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class BalanceDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.BalanceDAO

public class BalanceDAO extends BillingDAO

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONTRACT_BALANCE_MODULE`

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BalanceDAO(User user, String billingId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteContractCharge(int chargeId, int contractId)`
  `void`
  `deleteContractPayment(int paymentId, int contractId)`
  `BigDecimal`
  `getContractAccountList(int contractId, Date dateFrom, Date dateTo, List<ContractAccount> accountList, List<ContractAccount> subAccountList)`
  `BigDecimal`
  `getContractAccountSum(int contractId, Date dateFrom, Date dateTo)`
  Deprecated.
  `BigDecimal`
  `getContractBalanceDetailList(int contractId, Date dateFrom, Date dateTo, List<ContractBalanceDetail> list)`
  `BigDecimal[]`
  `getContractBalanceList(int contractId, Date dateFrom, Date dateTo, List<ContractBalanceGeneral> list)`
  `ContractCharge`
  `getContractCharge(int chargeId)`
  `BigDecimal`
  `getContractChargeList(int contractId, Date dateFrom, Date dateTo, List<ContractCharge> chargeList, List<ContractCharge> subChargeList)`
  `ContractPayment`
  `getContractPayment(int paymentId)`
  `List<ContractPayment>`
  `getContractPaymentList(int contractId, Date dateFrom, Date dateTo)`
  Deprecated.
  `BigDecimal`
  `getContractPaymentList(int contractId, Date dateFrom, Date dateTo, List<ContractPayment> paymentList, List<ContractPayment> subPaymentList)`
  `int`
  `updateContractCharge(int id, int contractId, BigDecimal summa, Date date, int typeId, String comment)`
  `int`
  `updateContractPayment(int id, int contractId, BigDecimal summa, Date date, int typeId, String comment)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTRACT_BALANCE_MODULE

    public static final String CONTRACT_BALANCE_MODULE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BalanceDAO

    public BalanceDAO(User user, String billingId)

- ## Method Details

  - ### getContractPaymentList

    public BigDecimal getContractPaymentList(int contractId, Date dateFrom, Date dateTo, List<ContractPayment> paymentList, List<ContractPayment> subPaymentList)

  - ### getContractChargeList

    public BigDecimal getContractChargeList(int contractId, Date dateFrom, Date dateTo, List<ContractCharge> chargeList, List<ContractCharge> subChargeList)

  - ### getContractAccountList

    public BigDecimal getContractAccountList(int contractId, Date dateFrom, Date dateTo, List<ContractAccount> accountList, List<ContractAccount> subAccountList)

  - ### getContractBalanceList

    public BigDecimal[] getContractBalanceList(int contractId, Date dateFrom, Date dateTo, List<ContractBalanceGeneral> list)

  - ### getContractBalanceDetailList

    public BigDecimal getContractBalanceDetailList(int contractId, Date dateFrom, Date dateTo, List<ContractBalanceDetail> list)

  - ### updateContractPayment

    public int updateContractPayment(int id, int contractId, BigDecimal summa, Date date, int typeId, String comment)

  - ### updateContractCharge

    public int updateContractCharge(int id, int contractId, BigDecimal summa, Date date, int typeId, String comment)

  - ### getContractPayment

    public ContractPayment getContractPayment(int paymentId)

  - ### getContractCharge

    public ContractCharge getContractCharge(int chargeId)

  - ### deleteContractCharge

    public void deleteContractCharge(int chargeId, int contractId)

  - ### deleteContractPayment

    public void deleteContractPayment(int paymentId, int contractId)

  - ### getContractPaymentList

    @Deprecated public List<ContractPayment> getContractPaymentList(int contractId, Date dateFrom, Date dateTo)
    Deprecated.

  - ### getContractAccountSum

    @Deprecated public BigDecimal getContractAccountSum(int contractId, Date dateFrom, Date dateTo)
    Deprecated.